Bug 241426 - dns/inadyn: Update to 2.6
Summary: dns/inadyn: Update to 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-23 07:44 UTC by Colin T.
Modified: 2020-03-25 22:52 UTC (History)
3 users (show)

See Also:
mandree: maintainer-feedback+


Attachments
Update to v2.5 (17.38 KB, patch)
2019-10-23 07:44 UTC, Colin T.
no flags Details | Diff
Update to v2.6 (14.55 KB, patch)
2020-02-29 06:49 UTC, Colin T.
no flags Details | Diff
Update to v2.6 - 1 (14.47 KB, patch)
2020-03-17 14:15 UTC, Colin T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin T. 2019-10-23 07:44:58 UTC
Created attachment 208521 [details]
Update to v2.5

Upgrade to 2.5

Set license to GPLv2
Add inadyn user and drop privileges by default
Add option to choose between GnuTLS and OpenSSL
Check config file for errors before starting
Comment 1 Colin T. 2020-02-29 06:49:54 UTC
Created attachment 212044 [details]
Update to v2.6
Comment 2 daniel.engberg.lists 2020-03-16 19:24:17 UTC
Any reason why you're not using release archives from upstream?
https://github.com/troglobit/inadyn/releases --> https://github.com/troglobit/inadyn/releases/download/v2.6/inadyn-2.6.tar.xz
Comment 3 Colin T. 2020-03-17 14:13:29 UTC
(In reply to daniel.engberg.lists from comment #2)

Nope! Just me misunderstanding how USE_GITHUB works.
Comment 4 Colin T. 2020-03-17 14:15:56 UTC
Created attachment 212459 [details]
Update to v2.6 - 1

Use release archives from github
Comment 5 daniel.engberg.lists 2020-03-20 00:50:23 UTC
Poudriere OK - 12.1-RELEASE (AMD64)
Compile fine manually on FreeBSD 13.0-CURRENT #0 r358620 (AMD64)
Comment 6 Matthias Andree freebsd_committer 2020-03-24 21:26:42 UTC
Invoking maintainer timeout and claiming PR.
Comment 7 commit-hook freebsd_committer 2020-03-24 21:44:06 UTC
A commit references this bug:

Author: mandree
Date: Tue Mar 24 21:43:38 UTC 2020
New revision: 529066
URL: https://svnweb.freebsd.org/changeset/ports/529066

Log:
  dns/inadyn: Update to 2.6

  Note that the UIDs/GIDs were meaning to add 455 as the ID,
  but typed 445 in the patch.  I've corrected the IDs to 455.

  I've also elided one blank line between the _DEPENDS lines
  to please portlint.

  Other than that, test builds succeeded on 11.3 (i386, amd64),
  12.1 (i386, amd64, mips64, aarch64).

  PR:		241426
  Submitted by:	Colin T. <bugzilla@nulldir.e4ward.com>
  Reviewed by:	Daniel Engberg
  Approved by:	samm@ (maintainer timeout, >4 months)

Changes:
  head/GIDs
  head/UIDs
  head/dns/inadyn/Makefile
  head/dns/inadyn/distinfo
  head/dns/inadyn/files/inadyn.in
  head/dns/inadyn/files/patch-examples_README.md
  head/dns/inadyn/files/patch-examples_inadyn.conf
  head/dns/inadyn/files/patch-man__inadyn.8
  head/dns/inadyn/files/patch-man_inadyn.8
  head/dns/inadyn/files/patch-man_inadyn.conf.5
  head/dns/inadyn/files/patch-readme.html
  head/dns/inadyn/files/patch-src__dyndns.h
  head/dns/inadyn/pkg-plist
Comment 8 Matthias Andree freebsd_committer 2020-03-24 21:45:25 UTC
...and to Colin for the attention spent to this port, thanks a bunch for the thoroughness.
Comment 9 commit-hook freebsd_committer 2020-03-25 22:52:43 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Mar 25 22:52:21 UTC 2020
New revision: 529135
URL: https://svnweb.freebsd.org/changeset/ports/529135

Log:
  Add missing :

  PR:		241426
  Submitted by:	vidar on EFNet

Changes:
  head/GIDs